Skip to main content
PATCH
/
v1
/
plugins
/
{pluginId}
Update plugin
curl --request PATCH \
  --url https://api.openworklabs.com/v1/plugins/{pluginId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "ok": true,
  "item": {
    "id": "<string>",
    "organizationId": "<string>",
    "name": "<string>",
    "description": "<string>",
    "status": "active",
    "createdByOrgMembershipId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "memberCount": 4503599627370495
  }
}

Path Parameters

pluginId
string<typeid>
required

Den TypeID with 'plg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^plg_.*

Body

application/json
name
string
Required string length: 1 - 255
description
string | null
Minimum string length: 1

Response

Plugin updated successfully.

ok
boolean
required
item
object
required